org     3B00h                   ; TONES
ctctbl:                         ;
db      01h, 2Ch, '  33.0'      ;  1
db      01h, 41h, '  35.4'      ;  2
db      01h, 4Ch, '  36.6'      ;  3
db      01h, 58h, '  37.9'      ;  4
db      01h, 67h, '  39.6'      ;  5
db      01h, 93h, '  44.4'      ;  6
db      01h,0AFh, '  47.5'      ;  7
db      01h,0BEh, '  49.2'      ;  8
db      01h,0D0h, '  51.2'      ;  9
db      01h,0E1h, '  53.0'      ; 10
db      01h,0F2h, '  54.9'      ; 11
db      02h, 03h, '  56.8'      ; 12
db      02h, 15h, '  58.8'      ; 13
db      02h, 3Bh, '  63.0'      ; 14
db      02h, 60h, '  67.0'      ; 15
db      02h, 75h, '  69.4'      ; 16
db      02h, 8Ch, '  71.9'      ; 17
db      02h,0A3h, '  74.4'      ; 18
db      02h,0BAh, '  77.0'      ; 19
db      02h,0D3h, '  79.7'      ; 20
db      02h,0ECh, '  82.5'      ; 21
db      03h, 06h, '  85.4'      ; 22
db      03h, 23h, '  88.5'      ; 23
db      03h, 3Eh, '  91.5'      ; 24
db      03h, 5Ch, '  94.8'      ; 25
db      03h, 73h, '  97.4'      ; 26
db      03h, 8Bh, ' 100.0'      ; 27
db      03h,0ABh, ' 103.5'      ; 28
db      03h,0CCh, ' 107.2'      ; 29
db      03h,0EEh, ' 110.9'      ; 30
db      04h, 11h, ' 114.8'      ; 31
db      04h, 35h, ' 118.8'      ; 32
db      04h, 5Bh, ' 123.0'      ; 33
db      04h, 82h, ' 127.3'      ; 34
db      04h,0ABh, ' 131.8'      ; 35
db      04h,0D6h, ' 136.5'      ; 36
db      05h, 01h, ' 141.3'      ; 37
db      05h, 2Eh, ' 146.2'      ; 38
db      05h, 5Dh, ' 151.4'      ; 39
db      05h, 8Dh, ' 156.7'      ; 40
db      05h,0A9h, ' 159.8'      ; 41
db      05h,0BFh, ' 162.2'      ; 42
db      05h,0DDh, ' 165.5'      ; 43
db      05h,0F3h, ' 167.9'      ; 44
db      06h, 11h, ' 171.3'      ; 45
db      06h, 28h, ' 173.8'      ; 46
db      06h, 48h, ' 177.3'      ; 47
db      06h, 5Fh, ' 179.9'      ; 48
db      06h, 80h, ' 183.5'      ; 49
db      06h, 99h, ' 186.2'      ; 50
db      06h,0BAh, ' 189.9'      ; 51
db      06h,0D4h, ' 192.8'      ; 52
db      06h,0F7h, ' 196.6'      ; 53
db      07h, 11h, ' 199.5'      ; 54
db      07h, 35h, ' 203.5'      ; 55
db      07h, 51h, ' 206.5'      ; 56
db      07h, 77h, ' 210.7'      ; 57
db      07h,0BAh, ' 218.1'      ; 58
db      07h,0FFh, ' 225.7'      ; 59
db      08h, 1Eh, ' 229.1'      ; 60
db      08h, 46h, ' 233.6'      ; 61
db      08h, 91h, ' 241.8'      ; 62
db      08h,0DEh, ' 250.3'      ; 63
;db      09h, 00h, ' 254.1'      ; 64
db      00h, 00h, '  1750'      ; 64 /0000h => supton = 1750/

org     3D00h                   ; TONES+200h
codlbl:                         ;
db      ' ZVEI1'                ;
db      ' ZVEI2'                ;
db      ' ZVEI3'                ;
db      ' CCIR '                ;
db      '  EEA '                ;
db      ' VDEW '                ;
db      00h, 00h, 00h, 00h      ; ⪨

org     3D28h                   ;
; ᨢ  7      40 
;  ᬥ饭 6    ࠭ ⠭ 
; ࠢ  祭  ப 'toneco'
;  ᬥ饭 7    ࠭ ⠭ 
; ⠩ ⥫쭮 ⮭ - 32h /10 ᥪ ࢠ/
; ᫥ 32  /16 ᫮/   
; ⠭⠬  㧪  DSP: 1  => 4Eh, 2  => 4Fh
;
zvei1:                          ;  1 - ZVEI1 coding
db   00h,0E9h, 00h,0CBh, 01h, 0Fh, 37h, 07h ; 室 ண = 33h
;    ⠭  㧪  DSP /4Eh:4Fh/
db   55h, 05h, 25h, 8Dh, 29h, 18h, 2Ch,0FDh ; 2400, 1060, 1160, 1270
db   31h, 98h, 36h, 33h, 3Bh, 29h, 40h,0D4h ; 1400, 1530, 1670, 1830
db   46h,0DAh, 4Dh,0EFh, 63h, 31h, 1Ch,0B2h ; 2000, 2200, 2800,  810
db   22h, 5Dh, 1Fh, 5Ah, 5Ch, 1Bh, 00h, 00h ;  970,  885, 2600

zvei2:                          ;  2 - ZVEI2 coding
db   00h,0E9h, 00h,0CBh, 00h,0E2h, 37h, 07h ; 室 ண = 33h
;    ⠭  㧪  DSP /4Eh:4Fh/
db   55h, 05h, 25h, 8Dh, 29h, 18h, 2Ch,0FDh ; 2400, 1060, 1160, 1270
db   31h, 98h, 36h, 33h, 3Bh, 29h, 40h,0D4h ; 1400, 1530, 1670, 1830
db   46h,0DAh, 4Dh,0EFh, 1Fh, 5Ah, 1Ch,0B2h ; 2000, 2200,  885,  810
db   63h, 31h, 5Ch, 1Bh, 22h, 53h, 00h, 00h ; 2800, 2600,  970

zvei3:                          ;  3 - ZVEI3 coding
db   00h,0E9h, 00h,0CBh, 00h,0B5h, 37h, 07h ; 室 ண = 33h
;    ⠭  㧪  DSP /4Eh:4Fh/
db   4Dh,0EFh, 22h, 5Dh, 25h, 8Dh, 29h, 18h ; 2200,  970, 1060, 1160
db   2Ch,0FDh, 31h, 98h, 36h, 33h, 3Bh, 29h ; 1270, 1400, 1530, 1670
db   40h,0D4h, 46h,0DAh, 1Fh, 5Ah, 63h, 31h ; 1830, 2000,  885, 2800
db   1Ch,0B2h, 5Ch, 1Bh, 55h, 05h, 00h, 00h ;  810, 2600, 2400

ccid:                           ;  4 - CCIR coding / 㬮砭/
db   00h,0E9h, 00h,0F7h, 00h, 88h, 50h, 0Ah ; 室 ண = 42h
;    ⠭  㧪  DSP /4Eh:4Fh/
db   46h, 2Dh, 27h,0D1h, 2Ah, 67h, 2Dh, 2Bh ; 1981, 1124, 1197, 1275
db   30h, 1Bh, 33h, 39h, 36h, 8Eh, 3Ah, 19h ; 1358, 1446, 1540, 1640
db   3Dh,0E3h, 41h,0E4h, 55h, 05h, 20h,0F2h ; 1747, 1860, 2400,  930
db   4Fh, 9Ah, 23h, 1Bh, 4Ah,0BFh, 00h, 00h ; 2247,  991, 2110

eea:                            ;  5 - EEA coding
db   00h,0E9h, 01h,0C6h, 00h, 5Bh, 19h, 04h ; 室 ண = 14h
;    ⠭  㧪  DSP /4Eh:4Fh/
db   46h, 2Dh, 27h,0D1h, 2Ah, 67h, 2Dh, 2Bh ; 1981, 1124, 1197, 1275
db   30h, 1Bh, 33h, 39h, 36h, 8Eh, 3Ah, 19h ; 1358, 1446, 1540, 1640
db   3Dh,0E3h, 41h,0E4h, 25h, 60h, 20h,0F2h ; 1747, 1860, 1055,  930
db   4Fh, 9Ah, 23h, 1Bh, 4Ah,0BFh, 00h, 00h ; 2247,  991, 2110,

vdew:                           ;  6 - VDEW coding
db   00h,0E9h, 00h,0F7h, 00h, 8Eh, 50h, 0Ah ; 室 ண = 42h
;    ⠭  㧪  DSP /4Eh:4Fh/
db   1Dh, 3Ah, 23h,0C7h, 2Bh,0EDh, 32h,0D6h ;  825, 1010, 1240, 1435
db   35h,0D9h, 3Dh,0FEh, 41h,0E4h, 46h, 24h ; 1520, 1750, 1860, 1980
db   46h,0DAh, 4Bh,0A2h, 50h,0C5h, 56h,0CAh ; 2000, 2135, 2280, 2450
db   63h, 31h, 17h,0E9h, 0Fh,0F1h, 00h, 00h ; 2800,  675,  450

                                ;  7
db   00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h
;    ⠭  㧪  DSP /4Eh:4Fh/
db   00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h
db   00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h
db   00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h
db   00h, 00h, 00h, 00h, 00h, 00h, 00h, 00h

org     3E40h                   ;
cgtbl:  db    6,0BCh, '  67.0'  ;
        db    9, 6Dh, '  77.0'  ;
        db    7, 7Ah, '  88.5'  ;
;        db    8, 61h, '  97.4'  ;
        db    6, 7Eh, ' 100.0'  ;
        db    5, 92h, ' 103.5'  ;
        db    5, 8Dh, ' 107.2'  ;
        db    7, 5Eh, ' 114.8'  ;
        db    6, 6Ah, ' 118.8'  ;
        db    5, 7Bh, ' 123.0'  ;
        db    7, 52h, ' 131.8'  ;
        db    5, 6Bh, ' 141.3'  ;
        db    5, 64h, ' 151.4'  ;
        db    5, 5Dh, ' 162.2'  ;
        db    5, 57h, ' 173.8'  ;
        db    7, 3Ah, ' 186.2'  ;
;        db    6, 40h, ' 196.6'  ;
;        db    9, 2Ah, ' 199.5'  ;
        db    7, 35h, ' 203.5'  ;

org     3F50h                   ;
hellom:                         ; the message size
db      ' CQM6662  V1.47 '      ; (16 signs only!)
org     3F60h                   ;
picome:                         ;
db      ' PINCODE: ....  '      ;
org     3F70h                   ;
ticome:                         ;
db      'TIME ..:..:..   '      ;

org     3F80h                   ; TONES+480h
supton:                         ;
db   3Dh,0FEh, 50h, '  1750'    ; 1750  ⮭  ⠭  ⠩

hellow:                         ; hello message wait time
db   15                         ; /६ /
vol175:                         ; 1750  volume ⠭
db   6Ah                        ; /஢ ⮭/
ctcvol:                         ; CTCSS volume ⠭
db   14h                        ; /஢ ⮭/
secawa:                         ; ६ ⠭ 
db   28h                        ; SelCall ६ /*10 ᥪ/
chaswa:                         ; ६ ﭨ  쭮 ᪠
db   64h                        ; /⠭  10 ᥪ = 100*0.1 ᥪ/
freswa:                         ; ६ ﭨ  ⭮ ᪠
db   32h                        ; /⠭  5 ᥪ = 50*0.1 ᥪ/
freqwa:                         ; প  
db   19h                        ; /⠭  25 ᥪ/
;db   32h                        ; /⠭  50 ᥪ/

org     3F90h                   ;
L82A0:                          ; /  DTMF ⮭  /
db   2Bh, 1Bh, 2Bh, 1Bh, 2Bh, 1Bh, 2Bh, 1Bh
L82A8:
db   18h,0B1h, 1Bh, 47h, 1Eh, 2Fh, 21h, 56h ;  697,  770,  852,  941
L82B0:
db   36h, 3Ah, 36h, 3Ah, 36h, 3Ah, 36h, 3Ah
L82B8:
db   2Ah,0D4h, 2Fh, 54h, 34h, 53h, 39h,0D9h ; 1209, 1336, 1477, 1633
                                ;
org     3FB0h                   ;
swonfl:                         ;
db  0FFh                        ; 0 - .ࠧ
picode:                         ;
db  1, 7, 7, 8                  ; pincode:1778 in my case
db  0FFh,0FFh,0FFh              ;
db  0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh,0FFh

org     3FC0h                   ;
label:                          ;
db  'CQM 6662S v1.47 by StrayCat'
                                ;
